Tag: gradle

Google Glass: GDK con Android Studio

Sto cercando di utilizzare il nuovo kit Google Glass Development con Android Studio. Purtroppo non ho molto successo. Ho l'errore: "Gradle: pacchetto com.google.android.glass.touchpad non esiste" Ho aggiunto biblioteche use-to al manifesto come segue: <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@android:style/Theme" > <uses-library android:name="com.google.android.glass" android:required="true" /> <activity android:name="com.glass.test.MainActivity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> […]

evitare la lanuglia quando il gradle eseguire il controllo

qualcuno potrebbe dirmi un modo per evitare di eseguire "lint" each volta che ho eseguito il check in gradle? Ho definito in build.gradle lintOptions { quiet true } Tuttavia, continua a fare questo task. Il problema è che occorre anni each volta che devo fare un controllo.

maven pubblica android.library con barattolo aar e source

può qualcuno mi dà un suggerimento su come utilizzare il plugin di gradle di pubblicazione di maven per pubblicare un progetto com.android.library con il jar di aar e di origine? Posso farlo con il vecchio plug-in di Maven – ma vorrei usare il nuovo plug-in di pubblicazione di maven

Qual è la migliore pratica per condividere le classi tra un'applicazione Wear e Android?

Sto usando una class che serializza nell'applicazione Android Phone e deserializza nell'applicazione Android Wear. Sono entrambi nello stesso Android Studio Project e vengono distribuiti come uno. Come posso condividere la class tra i due senza avere una copia della class in each pacchetto? Adesso sto copiandolo, ma c'è qualche modo per includerlo in entrambe le […]

Il Crouton dipende dalle biblioteche, ma non è una libreria stessa

Sto utilizzando Android Studio 0.6.1, con la libreria Crouton e oggi dopo la sincronizzazione di gradi ho il seguente errore: Error:A problem occurred configuring root project 'project_name'. Module version de.keyboardsurfer.android.widget:crouton:1.8.4 depends on libraries but is not a library itself Che sta succedendo?

Come dire a Gradle di utilizzare un diverso nome di Android dalla row di command?

Ho un progetto a più moduli. Dalla radice del mio progetto (che contiene più moduli), voglio essere in grado di call 'gradle build' e di utilizzare un diverso AndroidManifest in uno dei miei moduli, a seconda di alcuni parametri in cui passare. Qual è il modo migliore per realizzare Questo? Devo utilizzare un file gradle.properties […]

Convenzione di denominazione di cartelle per varianti di costruzione di gradle

Mi sto lottando per un po 'con gradle e costruisco varianti. Ho questi tipi di build definiti: mettere a punto liberare E questi sapori: gratuito pagato Come posso definire risorse e risorse univoche per una certa variante di costruzione, vale a dire. FreeDebug? Ad esempio desidero quattro nomi app diversi a seconda della variante di […]

Come compilare la libreria a fork in Gradle?

Vorrei compilare la seguente libreria nel mio progetto in build.gradle : https://github.com/theDazzler/Android-Bootstrap È forchetta da https://github.com/Bearded-Hen/Android-Bootstrap , ma nessuna documentazione nel repository spiega come includere nel progetto. Ho provato qualcosa di simile: compile 'com.theDazzler:androidbootstrap:+' ma la gradle non è rioutput e mostra l'errore che la libreria non è stata trovata. Modifica: qualcuno può fork e […]

La sincronizzazione di Gradle non è rioutput: 'com.android.build.gradle.BasePlugin' non implementa l'interface Plugin

Ambiente: Android Studio 2.1 Progetto: Android SDK + Cordova Android Studio genera il seguente errore durante la sincronizzazione Gradle: La sincronizzazione di Gradle non è rioutput: 'com.android.build.gradle.BasePlugin' non implementa l'interface Plugin

Utilizzo di Android L Material Design su KitKat

Leggendo la sezione di compatibilità di Android L Developer Preview ( http://developer.android.com/preview/material/compatibility.html ) ho visto che posso creare un APP utilizzando L-sdk e essere anche in grado di eseguirlo vecchi sdk (come KitKat). Ho creato un nuovo progetto utilizzando Android L sdk e configurato "build.gradle" come detto in questo post: Android Studio: Failure [INSTALL_FAILED_OLDER_SDK] . […]

L'Android è un fan Android di Google, tutto su telefoni Android, Android Wear, Android Dev e applicazioni Android Games e così via.